lcreate(1)

NAME
lcreate - upload transcripts and their corresponding files

SYNOPSIS
lcreate [-FilnNrTV] [ -% | -q | -v ] [ -c checksum ] [ -h host ] [ -p port ] [ -t stored-name ] [ -U user ] [ -w auth-level ] [ -x ca-pem-file ] [ -y cert-pem-file ] [ -z private-key-file ] create-able-transcript

DESCRIPTION
lcreate reads and uploads a transcript and all corresponding files to the radmind server.

lcreate verifies the size listed in the transcript with the actual size of the file and stops on any differences. If the -F option is given, lcreate will store the file on the server and give a warning.

If the -n option is given, no files or transcripts are uploaded. Instead, lcreate uses access(2) to verify that all files in the transcript exist in the filesystem and are readable by the user.

If the -N option is given, indicating the transcript specified for upload is negative, lcreate will upload all corresponding files as zero length.

If the -T option is given, lcreate will upload the transcript only. No corresponding files will be uploaded. The transcript's stored name is, by default, the last part ( after the slash ) of the given path, or as specified by the name given with the -t option. lcreate will print ( to the standard output ) the entire protocol exchange with the radmind server when the -v option is given.

By default, lcreate displays the percentage of bytes processed in a format that can be passed directly to iHook.

lcreate stores a Macintosh HFS+ file's data and corresponding metadata in a single applefile(5) on the server. With the -N option, applefiles are stored with a zero length resource fork, zero length data fork and a creator type of RDMD. Systems running Mac OS X on UFS-formatted drives do not need this special support.

OPTIONS

-%  percentage done progress output.

-c checksum
    enables checksuming.

-F  ignore file size differences.

-h hostname
    specifies the radmind server, by default radmind.

-i  force output linebuffering.

-l  Turn on user authentication. Requires a TLS.

-N  uploads a negative transcript then uploads all corresponding files as zero length.

-n  Don't upload any files or transcripts. Uses access(2) to verify all files in the transcript exist in the filesystem and are readable.

-p port
    specifies a port, by default 6662.

-q  suppress all messages.

-r  use random seed file $RANDFILE if that environment variable is set, $HOME/.rnd otherwise. See RAND_load_file(3o).

-T  uploads the transcript only, and not the corresponding files.

-t stored-name
    specifies the name under which the transcript will be stored when saved on the server.

-U user
    Specifes the user for user authentication. By default, the login name returned by getlogin() will be used.

-V  displays the version of lcreate, a list of supported checksumming algorithms in descending order of preference and then exits.

-v  increase the verbosity. -v produces one line for each file stored on the server. -vv displays all communication with the radmind server.

-w auth-level
    TLS authorization level, by default 0. 0 = no TLS, 1 = server verification, 2 = server and client verification.

-x ca-pem-file
    Certificate authority's public certificate, by default /usr/obj/ports/radmind-1.5.0/fake-vax/var/radmind/cert/ca.pem.

-y cert-pem-file
    Client's public certificate, by default /usr/obj/ports/radmind-1.5.0/fake-vax/var/radmind/cert/cert.pem.

-z private-key-file
    Client's private key, by default /usr/obj/ports/radmind-1.5.0/fake-vax/var/radmind/cert/cert.pem.

SEE ALSO
fsdiff(1), ktcheck(1), lapply(1), lcksum(1), lfdiff(1), lmerge(1), twhich(1), applefile(5), radmind(8), RAND_load_file(3o).